Bug 114221 - ImportError: No module named gnome
ImportError: No module named gnome
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-24 11:51 EST by Daniel Malmgren
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 04:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Malmgren 2004-01-24 11:51:47 EST
When trying to start system-config-network (1.3.13-2) I get a
requester with the following:

Component: system-config-network
Version: 1.3.13
Summary: TBfd89e307 system-config-network-gui:136:main:ImportError: No
module named gnome
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 136, in main
    import gnome
ImportError: No module named gnome

Local variables in innermost frame:
splash_window: None
NC_functions: <module 'netconfpkg.NC_functions' from
'/usr/share/system-config-network/netconfpkg/NC_functions.pyc'>


To be honest I have no idea what is wrong. Must have been months since
I last started the program...

Versions of other (hopefully relevant) packages:
gnome-python2-2.0.0-5, pygtk2-2.0.0-2, libglade2-2.0.1-5.1
Comment 1 Daniel Malmgren 2004-01-24 12:01:53 EST
I don't know if this is the same problem, but also
system-config-network-tui gives me problems. I get the following
output from it:

Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 121, in <lambda>
    PRG_NAME, PRG_VERSION)
  File "/usr/sbin/system-config-network-tui", line 100, in handleException
    text = _("An unhandled exception has occured.  This "
  File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 198,
in gettext
    return iconv.iconv(translation).encode("UTF-8")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position
39: ordinal not in range(128)
 
Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 123, in ?
    from netconfpkg import *
  File "/usr/share/system-config-network/netconfpkg/__init__.py", line
61, in ?
    exec _cmd
  File "<string>", line 1, in ?
  File "/usr/share/system-config-network/netconfpkg/Control.py", line
28, in ?
    from NC_functions import *
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py",
line 118, in ?
    modemFlowControls = { CRTSCTS : _("Hardware (CRTSCTS)"),
  File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 198,
in gettext
    return iconv.iconv(translation).encode("UTF-8")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position
1: ordinal not in range(128)
Comment 2 Daniel Malmgren 2004-01-25 07:25:33 EST
Got it to work now. Seems that gnome-python2 and gnome-python2-bonobo
in version 2.0.0-5 are made for python 2.3. Making softlinks from 
/usr/lib/python2.2/site-packages/gtk-2.0/bonobo and 
/usr/lib/python2.2/site-packages/gtk-2.0/gnome to the corresponding
python 2.3 locations made it work (though with some warnings).

I'm not closing this but though, guess there's some dependencies that
should be fixed?
Comment 3 Harald Hoyer 2004-01-26 04:26:27 EST
Well, well... did you upgrade to the newest gnome-python2?
Comment 4 Daniel Malmgren 2004-01-28 04:20:14 EST
Well, it turned out I had another (Nyquist) rpm installed which was
made for python 2.2. Guess I'll close this one now, setting it to
notabug...

Note You need to log in before you can comment on or make changes to this bug.